/* xkeycaps, Copyright (c) 1998 Jamie Zawinski <jwz@jwz.org>
 *
 * This file describes the physical layout of the Tecra 500CDT laptop, and may
 * be suitable for many others (Cesar Crusius 1997)
 */

static const struct key_geometry pbookde_geom_row0 [] = {
    	{18, 9}, {9, 0}, 
	{18, 9}, {18, 9}, {18, 9}, {18, 9}, {9, 0},
    	{18, 9}, {18, 9}, {18, 9}, {18, 9}, {9, 0},
        {18, 9}, {18, 9}, {18, 9}, {18, 9}};

static const struct key_geometry pbookde_geom_row1 [] = {
    {18,18}, {18,18}, {18,18}, {18,18}, {18,18},
    {18,18}, {18,18}, {18,18}, {18,18}, {18,18}, 
	{18,18}, {18,18}, {18,18}, {27,18}};

static const struct key_geometry pbookde_geom_row2 [] = {
    {28,18}, {18,18}, {18,18}, {18,18}, {18,18}, {18,18},
    {18,18}, {18,18}, {18,18}, {18,18}, {18,18}, {18,18},
    {18,18}, {3, 0}, {15,36}};

static const struct key_geometry pbookde_geom_row3 [] = {
    {32,18}, {18,18}, {18,18}, {18,18}, {18,18}, {18,18},
    {18,18}, {18,18}, {18,18}, {18,18}, {18,18}, {18,18}, 
	{18,18}};

static const struct key_geometry pbookde_geom_row4 [] = {
    {24,18}, {18,18}, {18,18}, {18,18}, {18,18}, {18,18}, 
    {18,18}, {18,18}, {18,18}, {18,18}, {18,18}, {18,18},
    {40,18}};

static const struct key_geometry pbookde_geom_row5 [] = {
    {18,18}, {18,18}, {18,18}, {24,18}, {90,18}, {24,18},
    {18,18}, {18,0}, {18,9}};

static const struct key_geometry pbookde_geom_row6 [] = {
       {210,0}, {18,9}, {18,9}, {18,9}};

static const struct keyboard_row_geometry pbookde_geom_rows [] = {
    ROW (pbookde_geom_row0, 9),
    ROW (pbookde_geom_row1, 18),
    ROW (pbookde_geom_row2, 18),
    ROW (pbookde_geom_row3, 18),
    ROW (pbookde_geom_row4, 18),
    ROW (pbookde_geom_row5, 9),
    ROW (pbookde_geom_row6, 9),
};

static const struct keyboard_geometry pbookde_geom = {
  sizeof (pbookde_geom_rows) / sizeof (struct keyboard_row_geometry),
  pbookde_geom_rows, 2, 3, 3
};
